Skip to main content
GET
/
projects
/
{projectIdOrName}
/
notification-event-topic-routes
List notification event-topic routes
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/notification-event-topic-routes \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/notification-event-topic-routes"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/notification-event-topic-routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "topicId": "<string>",
    "projectId": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z"
  }
]
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

Query Parameters

topicId
string

Filter by topic ID.

eventType
enum<string>

Filter by notification event type. The type of notification event.

Available options:
connection.created,
connection.error,
connection.refreshed,
connection.deleted,
installation.created,
installation.updated,
installation.deleted,
read.schedule.paused,
read.backfill.done,
read.triggered.done,
read.triggered.error,
write.async.done,
subscribe.create.error,
destination.webhook.disabled

Response

List of event-topic routes

id
string
required

The event-topic route ID.

eventType
enum<string>
required

The type of notification event.

Available options:
connection.created,
connection.error,
connection.refreshed,
connection.deleted,
installation.created,
installation.updated,
installation.deleted,
read.schedule.paused,
read.backfill.done,
read.triggered.done,
read.triggered.error,
write.async.done,
subscribe.create.error,
destination.webhook.disabled
topicId
string
required

The ID of the topic to route events to.

projectId
string
required

The Ampersand project ID.

createTime
string<date-time>
required

The time when the event-topic route was created.

updateTime
string<date-time>

The time when the event-topic route was last updated.